import { Product } from '@/domain/entities';
import { IWishlistRepository } from '@/application/ports/IWishlistRepository';

export class ToggleWishlistUseCase {
  constructor(private readonly wishlist: IWishlistRepository) {}

  execute(product: Product): void {
    this.wishlist.toggleItem(product);
  }
}